Range-v3 Range algorithms, views, and actions for the Standard Library |

Instances and minimal complete definitions | Friends | Public Member Functions | Static Public Member Functions | List of all members
ranges::actions::action_base Struct Reference
Inheritance diagram for ranges::actions::action_base:

## Friends
template<typename Act1 , typename Act2 >
constexpr friend auto | operator| (action< Act1 > act1, action< Act2 > act2)
template<typename Rng , typename Act >
constexpr friend auto | operator| (Rng &&, action< Act > const &) -> Rng requires range< Rng > &&std::is_reference< Rng >::value=delete

## Public Member Functions
template<typename Rng , typename Act >
requires defer::range< Rng > &&defer::invocable< Act, Rng > &&!defer constexpr ::is_true< std::is_reference< Rng >::value >decltype(auto) friend | operator| (Rng &&rng, action< Act > act)

## Static Public Member Functions
template<typename Act >
constexpr static Act && | get_action (action< Act > &&act) noexcept